Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class CLOBWriter

    java.lang.Object
      java.io.Writer
          com.ejie.r01f.sql.CLOBWriter

public final class CLOBWriter
extends java.io.Writer

Clase Wrapper de un CLOBWriter para ser utilizada desde SQLHelpper Se encarga de obtener la conexión a la base de datos y liberarla cuando ya se ha escrito todo el inputStream.

Method Summary
`void` | `close()` Cierra el writer y hace un commit en la base de datos
`void` | `finalize()` Cerrar la conexión a base de datos en su caso
`void` | `flush()`
`void` | `write(char[] c)` Escribte los caracteres de un array en el writer
`void` | `write(char[] c, int off, int len)` Escribe en el writer un numero de caracteres de un array empezando por un offset
`void` | `write(int c)` Escribe un caracter en el writer
`void` | `write(java.lang.String str)` Escribe una cadena en el writer
`void` | `write(java.lang.String str, int off, int len)` Escribe una porcion de una cadena: un numero de caracteres de la cadena empezando por un offset

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### finalize

    public void finalize()

  Cerrar la conexión a base de datos en su caso

### write

    public void write(int c)
               throws java.io.IOException

  Escribe un caracter en el writer

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.write(int)`

### write

    public void write(char[] c,
                      int off,
                      int len)
               throws java.io.IOException

  Escribe en el writer un numero de caracteres de un array empezando por un offset

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.write(char[], int, int)`

### write

    public void write(char[] c)
               throws java.io.IOException

  Escribte los caracteres de un array en el writer

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.write(char[])`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Escribe una porcion de una cadena: un numero de caracteres de la cadena empezando por un offset

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.write(String, int, int)`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Escribe una cadena en el writer

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.write(String)`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.flush()`

### close

    public void close()
               throws java.io.IOException

  Cierra el writer y hace un commit en la base de datos

  Throws:
    `java.io.IOException`
  See Also:
    `Writer.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD